Subject: [Roll] Spencer Dawkins' No Objection on draft-ietf-roll-routing-dispatch-03: (with COMMENT)

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 25 Oct 2016 20:39:52 -0700

Spencer Dawkins has entered the following ballot position for
draft-ietf-roll-routing-dispatch-03: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-roll-routing-dispatch/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

In figure 2, I'm a bit confused on what the third-from-the-left vertical
line represents - is it also IPv6 in IPv6 plus RPL SRH, or something
else?

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 26 Oct 2016 09:37:09 +0000

Hello Spencer,

The 2 shorter arrows, left and right, represent the encapsulation tunnel. 
Would you have a suggestion to improve the readability?

Take care,

Pascal

-----Original Message-----
From: Spencer Dawkins [mailto:[email-masked]] 
Sent: mercredi 26 octobre 2016 05:40
To: The IESG <[email-masked]>
Cc: [email-masked]; Alvaro Retana (aretana) <[email-masked]>; Michael Richardson <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Spencer Dawkins' No Objection on draft-ietf-roll-routing-dispatch-03: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

In figure 2, I'm a bit confused on what the third-from-the-left vertical line represents - is it also IPv6 in IPv6 plus RPL SRH, or something else?

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 26 Oct 2016 09:25:32 -0500

Hi, Pascal,

Thanks for the quick response. Inline.

> The 2 shorter arrows, left and right, represent the encapsulation tunnel.

Now that you've said that, I totally get it, but I didn't get that from the
picture at all.

> Would you have a suggestion to improve the readability?

Maybe :-)

I lengthened the native IPv6 arrow and used different endpoints for the
tunnel, hyphenated "IPv6-in-IPv6, and included "tunneled using" in the
label (I probably didn't use the right words, but you'd know what is
correct).

       ------+---------                           ^
             |          Internet                  |
             |                                    | Native IPv6
          +-----+                                 |
          |     | Border Router (RPL Root)      + | +
          |     |                               | | |
          +-----+                               | | | tunneled
             |                                  | | | using
       o    o   o    o                          | | | IPv6-in-
   o o   o  o   o  o  o o   o                   | | | IPv6 and
  o  o o  o o    o   o   o  o  o                | | | RPL SRH
  o   o    o  o     o  o    o  o  o             | | |
 o  o   o  o   o         o   o o                + | +
 o          o             o     o                 |
                   LLN                            v

If this helps you folks, please use it (and if it doesn't, please don't!)

Thanks,

Spencer the AD, where "A" may or may not stand for "ASCII-artist" ...

> Cc: [email-masked]; Alvaro Retana (aretana) <
> [email-masked]>; Michael Richardson <[email-masked]>;
> [email-masked]; [email-masked]; [email-masked]
> line represents - is it also IPv6 in IPv6 plus RPL SRH, or something else?
>
>
>

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 26 Oct 2016 15:24:10 +0000

Nice! I love it Spencer : )

I suggest a slight adaptation to show that with the current specs, the device is the endpoint for the tunnel and the destination of inner packet as well.

       ------+---------                           ^
             |          Internet                  |
             |                                    | Native IPv6
          +-----+                                 |
o  o   o  o   o         o   o o                | | |
o          o             o     o               + v +
                   LLN

Works ?

Pascal

From: Spencer Dawkins at IETF [mailto:[email-masked]]
Sent: mercredi 26 octobre 2016 16:26
To: Pascal Thubert (pthubert) <[email-masked]>
Cc: The IESG <[email-masked]>; [email-masked]; Alvaro Retana (aretana) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Spencer Dawkins' No Objection on draft-ietf-roll-routing-dispatch-03: (with COMMENT)

Hi, Pascal,

On Wed, Oct 26, 2016 at 4:37 AM, Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>> wrote:
Hello Spencer,

Now that you've said that, I totally get it, but I didn't get that from the picture at all.

Maybe :-)

I lengthened the native IPv6 arrow and used different endpoints for the tunnel, hyphenated "IPv6-in-IPv6, and included "tunneled using" in the label (I probably didn't use the right words, but you'd know what is correct).

       ------+---------                           ^
             |          Internet                  |
             |                                    | Native IPv6
          +-----+                                 |

Thanks,

Take care,

Pascal

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 26 Oct 2016 11:12:43 -0500

Hi, Pascal,

On Wed, Oct 26, 2016 at 10:24 AM, Pascal Thubert (pthubert) <
[email-masked]> wrote:

> I suggest a slight adaptation to show that with the current specs, the
> device is the endpoint for the tunnel and the destination of inner packet
> as well.
>
>
>
>
>
>        ------+---------                           ^
>
>              |          Internet                  |
>
>              |                                    | Native IPv6
>
>           +-----+                                 |
>

I knew you could fix the stuff I got wrong :D ...

Works for me!

> Pascal
>
>
>
> *From:* Spencer Dawkins at IETF [mailto:[email-masked]]
> *Sent:* mercredi 26 octobre 2016 16:26
> *To:* Pascal Thubert (pthubert) <[email-masked]>
> *Cc:* The IESG <[email-masked]>; [email-masked]; Alvaro Retana
> (aretana) <[email-masked]>; [email-masked]; draft-ietf-roll-routing-
> [email-masked]; [email-masked]
> *Subject:* Re: Spencer Dawkins' No Objection on draft-ietf-roll-routing-dispatch-03:
> (with COMMENT)
>
>
>
> Hi, Pascal,
>
>
>

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 26 Oct 2016 16:16:50 +0000

Thanks again Spencer : )

I posted, then!

URL:            https://www.ietf.org/internet-drafts/draft-ietf-roll-routing-dispatch-04.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-roll-routing-dispatch/
Htmlized:       https://tools.ietf.org/html/draft-ietf-roll-routing-dispatch-04
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-routing-dispatch-04
Take care,

Pascal

Sent: mercredi 26 octobre 2016 18:13

Hi, Pascal,

On Wed, Oct 26, 2016 at 10:24 AM, Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>> wrote:
Nice! I love it Spencer : )

       ------+---------                           ^
             |          Internet                  |
             |                                    | Native IPv6
          +-----+                                 |

Works ?

Works for me!

Pascal

From: Spencer Dawkins at IETF [mailto:[email-masked]<mailto:[email-masked]>]
Sent: mercredi 26 octobre 2016 16:26
To: Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>>
Cc: The IESG <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Alvaro Retana (aretana) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Spencer Dawkins' No Objection on draft-ietf-roll-routing-dispatch-03: (with COMMENT)

Hi, Pascal,

Maybe :-)

       ------+---------                           ^
             |          Internet                  |
             |                                    | Native IPv6
          +-----+                                 |

Thanks,

Take care,

Pascal

-----Original Message-----
From: Spencer Dawkins [mailto:[email-masked]<mailto:[email-masked]>]
Sent: mercredi 26 octobre 2016 05:40
To: The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Alvaro Retana (aretana) <[email-masked]<mailto:[email-masked]>>; Michael Richardson <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Spencer Dawkins' No Objection on draft-ietf-roll-routing-dispatch-03: (with COMMENT)

Subject: New Version Notification for draft-ietf-roll-routing-dispatch-04.txt
From: "[email-masked]" <[email-masked]>
To: Robert Cragie <[email-masked]>, "Pascal Thubert (pthubert)" <[email-masked]>, "[email-masked]" <[email-masked]>, "Laurent Toutain" <[email-masked]>, Carsten Bormann <[email-masked]>, Laurent Toutain <[email-masked]>
Date: Wed, 26 Oct 2016 16:12:47 +0000

A new version of I-D, draft-ietf-roll-routing-dispatch-04.txt
has been successfully submitted by Pascal Thubert and posted to the
IETF repository.

Name:           draft-ietf-roll-routing-dispatch
Revision:       04
Title:          6LoWPAN Routing Header
Document date:  2016-10-26
Group:          roll
Pages:          36
URL:            https://www.ietf.org/internet-drafts/draft-ietf-roll-routing-dispatch-04.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-roll-routing-dispatch/
Htmlized:       https://tools.ietf.org/html/draft-ietf-roll-routing-dispatch-04
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-routing-dispatch-04

Abstract:
   This specification introduces a new 6LoWPAN dispatch type for use in
   6LoWPAN Route-Over topologies, that initially covers the needs of RPL
   (RFC6550) data packets compression.  Using this dispatch type, this
   specification defines a method to compress RPL Option (RFC6553)
   information and Routing Header type 3 (RFC6554), an efficient IP-in-
   IP technique and is extensible for more applications.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat